http://qs1969.pair.com?node_id=1085019

sale has asked for the wisdom of the Perl Monks concerning the following question:

I need to upgrade(?) a utility I have written long ago that parses, processes and outputs xls files, so it can parse xlsx files. This runs on Windows and Activestate perl 5.8.9 The problem is there seems to be no such module from activestate. I wonder how people have dealt with this issue

Replies are listed 'Best First'.
Re: Spreadsheet:: parseexcel XLSX
by Corion (Patriarch) on May 05, 2014 at 08:54 UTC

    I assume that most people dealing with this issue have installed Excel::Writer::XLSX. If ActiveState doesn't offer it, maybe you need to contact their (paid) support for old versions of Perl?

    An alternative could be to just use a more recent version of Perl for your tool.

      If ActiveState doesn't offer it, maybe you need to contact their (paid) support for old versions of Perl?

      There is a lock icon next to 5.8 at http://code.activestate.com/ppm/Excel-Writer-XLSX/, and if you click it, it shows there is a really old version available (if you have username/password) for 5.8 ... makes sense, really old perl is really old :)

      An alternative could be to just use a more recent version of Perl for your tool.

      or *cough*cough* just use cpanp/cpanm to install the latest Excel::Writer::XLSX from cpan, its pure perl after all :)

        I guess cpanp needs a newer perl to work? as it is not recognized on Windows
Re: Spreadsheet:: parseexcel XLSX
by Tux (Canon) on May 05, 2014 at 11:17 UTC

    Your question is bit ambiguous. Do you need a XLSX parser or a XLSX writer?

    If you have all required parsers installed, you can have a look at Spreadsheet::Read.


    Enjoy, Have FUN! H.Merijn
      I need an XLSX parser that a) works on windows b) works with perl 5.8.9 If b) is not possible, the question is: by going to the most recent activestate, can I get it and how likely is it to get incompatibility with existing scripts?
Re: Spreadsheet:: parseexcel XLSX
by Gangabass (Vicar) on May 05, 2014 at 12:56 UTC
    Did you try to install it with cpan utility?
A reply falls below the community's threshold of quality. You may see it by logging in.